# vim: set sw=4 ts=4 et nu:

Name:               libechonest
Version:            1.1.8
%define soname 1.1
%define shlib  1_1
Release:            0.pm.1.1
Summary:            Qt Library for Communicating with The Echo Nest
Source:             http://pwsp.cleinias.com/libechonest-%{version}.tar.bz2
URL:                https://projects.kde.org/projects/playground/libs/libechonest/
Group:              System/Libraries
License:            GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      libqt4-devel
BuildRequires:      libqjson-devel >= 0.5
BuildRequires:      cmake gcc-c++ make glibc-devel pkgconfig

%description
Qt library for communicating with The Echo Nest.

It currently supports almost all of the features of the Echo Nest API,
including all API functions.

%package -n libechonest%{shlib}
Summary:            Qt Library for Communicating with The Echo Nest
Group:              System/Libraries

%description -n libechonest%{shlib}
Qt library for communicating with The Echo Nest.

It currently supports almost all of the features of the Echo Nest API,
including all API functions.

%package -n libechonest-devel
Summary:            Qt Library for Communicating with The Echo Nest
Group:              Development/Libraries/C and C++
Requires:           libechonest%{shlib} = %{version}
Requires:           libqt4-devel
Requires:           libqjson-devel >= 0.5

%description -n libechonest-devel
Qt library for communicating with The Echo Nest.

It currently supports almost all of the features of the Echo Nest API,
including all API functions.

%prep
%setup -q

%build
LIBSUFFIX=$(echo "%{_lib}"|%__sed 's/^lib//')
mkdir build
pushd build
export CXXFLAGS="%{optflags}"
cmake \
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DCMAKE_VERBOSE_MAKEFILE=TRUE \
    -DCMAKE_SKIP_RPATH=TRUE \
    -DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE \
    -DLIB_SUFFIX="$LIBSUFFIX" \
    ..
%__make %{?_smp_flags}
popd #build

%install
pushd build
%makeinstall
popd #build

%post   -n libechonest%{shlib} -p /sbin/ldconfig
%postun -n libechonest%{shlib} -p /sbin/ldconfig

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -n libechonest%{shlib}
%defattr(-,root,root)
%doc AUTHORS COPYING README TODO
%{_libdir}/libechonest.so.%{soname}
%{_libdir}/libechonest.so.%{soname}.*

%files devel
%defattr(-,root,root)
%{_includedir}/echonest
%{_libdir}/libechonest.so
%{_libdir}/pkgconfig/libechonest.pc

%changelog
* Thu Jun 16 2011 pascal.bleser@opensuse.org
- initial version (1.1.8)
